Bug 426361 - Kmail hangs when clicking on mail
Summary: Kmail hangs when clicking on mail
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: 5.7.3
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-09-10 09:55 UTC by Tobias
Modified: 2021-05-10 19:06 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (33.47 KB, text/plain)
2020-10-09 19:10 UTC, Tobias
Details
New crash information added by DrKonqi (33.79 KB, text/plain)
2020-11-22 10:52 UTC, Tobias
Details
New crash information added by DrKonqi (33.14 KB, text/plain)
2020-11-29 20:24 UTC, Tobias
Details
New crash information added by DrKonqi (34.89 KB, text/plain)
2020-11-29 20:46 UTC, Tobias
Details
New crash information added by DrKonqi (34.49 KB, text/plain)
2021-04-17 09:32 UTC, Tobias
Details
New crash information added by DrKonqi (35.97 KB, text/plain)
2021-05-10 19:02 UTC, Tobias
Details
New crash information added by DrKonqi (36.52 KB, text/plain)
2021-05-10 19:06 UTC, Tobias
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias 2020-09-10 09:55:18 UTC
Application: kmail (5.7.3)

Qt Version: 5.9.5
Frameworks Version: 5.44.0
Operating System: Linux 5.4.0-42-generic x86_64
Distribution: Ubuntu 18.04.5 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Clicked on mail in inbox.
Around one to two times a day this leads to a haning kmail. If I close kmail the application crashes. See the attachted stacktrace.
I need to run "akonadictl stop" and then start kmail  again to get access to the mails again. Normally kmail  then works fine  until the next Linux reboot.

The crash can be reproduced sometimes.

-- Backtrace:
Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f585ca5cbc0 (LWP 4050))]

Thread 27 (Thread 0x7f5705513700 (LWP 4368)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5590e0a75c98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5590e0a75c48, cond=0x5590e0a75c70) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x5590e0a75c70, mutex=0x5590e0a75c48) at pthread_cond_wait.c:655
#3  0x00007f584421cc95 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f584421d177 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584421df11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f5705513700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7f5705d14700 (LWP 4367)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5590e0a75c98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5590e0a75c48, cond=0x5590e0a75c70) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x5590e0a75c70, mutex=0x5590e0a75c48) at pthread_cond_wait.c:655
#3  0x00007f584421cc95 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f584421d177 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584421df11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f5705d14700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7f5786f49700 (LWP 4366)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f5840ae5fb8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f5840ae5f68, cond=0x7f5840ae5f90) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f5840ae5f90, mutex=0x7f5840ae5f68) at pthread_cond_wait.c:655
#3  0x00007f58407ef5f4 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#4  0x00007f58407ef639 in  () at /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
#5  0x00007f584f4376db in start_thread (arg=0x7f5786f49700) at pthread_create.c:463
#6  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7f578d204700 (LWP 4362)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f5788001cb0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584d7205c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f585a48388f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f578d204700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7f57beffd700 (LWP 4090)):
#0  0x00007f5859b47d67 in epoll_wait (epfd=69, events=0x7f57a00020f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f58386c82c5 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#2  0x00007f58386be114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f58441edb0d in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584f4376db in start_thread (arg=0x7f57beffd700) at pthread_create.c:463
#9  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7f57bf7fe700 (LWP 4089)):
#0  0x00007f5831e87593 in pa_pstream_unref () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#1  0x00007f5831e87ab9 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f5831e8833f in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#3  0x00007f583a650108 in pa_mainloop_dispatch () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#4  0x00007f583a6504de in pa_mainloop_iterate () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#5  0x00007f583a650560 in pa_mainloop_run () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f583a65e3c9 in  () at /usr/lib/x86_64-linux-gnu/libpulse.so.0
#7  0x00007f5831e98318 in  () at /usr/lib/x86_64-linux-gnu/pulseaudio/libpulsecommon-11.1.so
#8  0x00007f584f4376db in start_thread (arg=0x7f57bf7fe700) at pthread_create.c:463
#9  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7f57bffff700 (LWP 4088)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57bfffe6f8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57bfffe6a8, cond=0x7f57bfffe6d0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57bfffe6d0, mutex=0x7f57bfffe6a8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f57bffff700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7f57ccff9700 (LWP 4087)):
#0  0x00007f584f43ded9 in futex_reltimed_wait_cancelable (private=<optimized out>, reltime=0x7f57ccff8590, expected=0, futex_word=0x7f57ccff8718) at ../sysdeps/unix/sysv/linux/futex-internal.h:142
#1  0x00007f584f43ded9 in __pthread_cond_wait_common (abstime=0x7f57ccff8630, mutex=0x7f57ccff86c8, cond=0x7f57ccff86f0) at pthread_cond_wait.c:533
#2  0x00007f584f43ded9 in __pthread_cond_timedwait (cond=0x7f57ccff86f0, mutex=0x7f57ccff86c8, abstime=0x7f57ccff8630) at pthread_cond_wait.c:667
#3  0x00007f584424b652 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f584421291e in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed52b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f57ccff9700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7f57cd7fa700 (LWP 4086)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5590e09e9418) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5590e09e9358, cond=0x5590e09e93f0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x5590e09e93f0, mutex=0x5590e09e9358) at pthread_cond_wait.c:655
#3  0x00007f58449a4060 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f584421df11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584f4376db in start_thread (arg=0x7f57cd7fa700) at pthread_create.c:463
#7  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f57ce7fc700 (LWP 4085)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57ce7fb6f8) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57ce7fb6a8, cond=0x7f57ce7fb6d0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57ce7fb6d0, mutex=0x7f57ce7fb6a8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f57ce7fc700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f57cdffb700 (LWP 4084)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5590e0a75c98) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5590e0a75c48, cond=0x5590e0a75c70) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x5590e0a75c70, mutex=0x5590e0a75c48) at pthread_cond_wait.c:655
#3  0x00007f584421cc95 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f584421d177 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584421df11 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f57cdffb700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f57ceffd700 (LWP 4083)):
#0  0x00007f5859b47d67 in epoll_wait (epfd=56, events=0x7f57c40020d0, maxevents=32, timeout=36145) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f58386c82c5 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#2  0x00007f58386be114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f58441edbf3 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f5843aa4978 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f5843aa4f2b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f57ceffd700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f57cf7fe700 (LWP 4082)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57cf7fd318) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57cf7fd2c8, cond=0x7f57cf7fd2f0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57cf7fd2f0, mutex=0x7f57cf7fd2c8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f5843aa48c8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f5843aa4f1b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f584f4376db in start_thread (arg=0x7f57cf7fe700) at pthread_create.c:463
#13 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f57cffff700 (LWP 4081)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57cfffe318) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57cfffe2c8, cond=0x7f57cfffe2f0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57cfffe2f0, mutex=0x7f57cfffe2c8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f5843aa4818 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f5843aa4f0b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f584f4376db in start_thread (arg=0x7f57cffff700) at pthread_create.c:463
#13 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f57f0ff9700 (LWP 4080)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57f0ff8318) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57f0ff82c8, cond=0x7f57f0ff82f0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57f0ff82f0, mutex=0x7f57f0ff82c8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f5843aa4768 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f5843aa4efb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f584f4376db in start_thread (arg=0x7f57f0ff9700) at pthread_create.c:463
#13 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f57f17fa700 (LWP 4079)):
#0  0x00007f5859b47d67 in epoll_wait (epfd=51, events=0x7f57d00020d0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f58386c82c5 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#2  0x00007f58386be114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f58441edb0d in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f5843aa46b8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f5843aa4eeb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f57f17fa700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f57f1ffb700 (LWP 4078)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f57f1ffa318) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x7f57f1ffa2c8, cond=0x7f57f1ffa2f0) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x7f57f1ffa2f0, mutex=0x7f57f1ffa2c8) at pthread_cond_wait.c:655
#3  0x00007f5844212999 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58442129c7 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ed4db in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f5843aa4608 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f5843aa4edb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584421e588 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#12 0x00007f584f4376db in start_thread (arg=0x7f57f1ffb700) at pthread_create.c:463
#13 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f57f37fe700 (LWP 4075)):
#0  0x00007f5859b3d13f in __GI___select (nfds=51, readfds=0x7f57f37fd180, writefds=0x0, exceptfds=0x0, timeout=0x0) at ../sysdeps/unix/sysv/linux/select.c:41
#1  0x00007f584736eccf in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#2  0x00007f5844246a83 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#3  0x00007f58441eaa00 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58441ec058 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f58441ec3eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f58441ed491 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#9  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#10 0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#11 0x00007f584f4376db in start_thread (arg=0x7f57f37fe700) at pthread_create.c:463
#12 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f57f3fff700 (LWP 4074)):
#0  0x00007f5859b47d67 in epoll_wait (epfd=44, events=0x7f57e80020f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f58386c82c5 in  () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#2  0x00007f58386be114 in event_base_loop () at /usr/lib/x86_64-linux-gnu/libevent-2.1.so.6
#3  0x00007f58441edb0d in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#4  0x00007f58441e9da8 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#5  0x00007f584420677b in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#6  0x00007f584421e4d6 in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#7  0x00007f584421a5eb in  () at /usr/lib/x86_64-linux-gnu/libQt5WebEngineCore.so.5
#8  0x00007f584f4376db in start_thread (arg=0x7f57f3fff700) at pthread_create.c:463
#9  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f580251b700 (LWP 4066)):
#0  0x00007f584f43d9f3 in futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x5590e08ec500) at ../sysdeps/unix/sysv/linux/futex-internal.h:88
#1  0x00007f584f43d9f3 in __pthread_cond_wait_common (abstime=0x0, mutex=0x5590e08ec4b0, cond=0x5590e08ec4d8) at pthread_cond_wait.c:502
#2  0x00007f584f43d9f3 in __pthread_cond_wait (cond=0x5590e08ec4d8, mutex=0x5590e08ec4b0) at pthread_cond_wait.c:655
#3  0x00007f585a24d5ab in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a245c1b in QSemaphore::acquire(int) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f580350980c in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/texttospeech/libqttexttospeech_flite.so
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f580251b700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f5803f8f700 (LWP 4065)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f57fc0049b0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584d7205c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f585a4838ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f5803f8f700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f581916d700 (LWP 4059)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f580402a4f0, nfds=7, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584d7205c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f585a4838ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f581916d700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f581996e700 (LWP 4056)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f5810003ce0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584d7205c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f585a48388f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f581996e700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f581a837700 (LWP 4053)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f580c004a10, nfds=1, timeout=9990) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584d7205c9 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f585a48388f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#4  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f584f4376db in start_thread (arg=0x7f581a837700) at pthread_create.c:463
#8  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f581ba48700 (LWP 4052)):
#0  0x00007f5859b361c4 in __GI___libc_read (fd=23, buf=0x7f581ba477a0, nbytes=16) at ../sysdeps/unix/sysv/linux/read.c:27
#1  0x00007f584d7652b0 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f584d7200b7 in g_main_context_check () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f584d720570 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f585a4838ab in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#6  0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#7  0x00007f585a24723a in QThread::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#8  0x00007f5858a80d45 in  () at /usr/lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#10 0x00007f584f4376db in start_thread (arg=0x7f581ba48700) at pthread_create.c:463
#11 0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f5821cdc700 (LWP 4051)):
#0  0x00007f5859b3acf9 in __GI___poll (fds=0x7f5821cdb8e8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f584cb4e747 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f584cb5036a in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f58239d75e9 in  () at /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#4  0x00007f585a24c17d in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#5  0x00007f584f4376db in start_thread (arg=0x7f5821cdc700) at pthread_create.c:463
#6  0x00007f5859b47a3f in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f585ca5cbc0 (LWP 4050)):
[KCrash Handler]
#6  0x00007f585b1e203a in QWidgetPrivate::reparentFocusWidgets(QWidget*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007f585b1e8388 in QWidget::setParent(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007f585b1e8b94 in QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f585b35351b in QStatusBar::QStatusBar(QWidget*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#10 0x00007f585b2f9532 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#11 0x00007f585c2db4b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x5590e08785e0, aText=...) at ./src/kmmainwin.cpp:106
#12 0x00007f585a45966f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#13 0x00007f5850d25f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
#14 0x00007f585c30e9d4 in KMMainWidget::showMessageActivities(QString const&) (this=<optimized out>, str=...) at ./src/kmmainwidget.cpp:4697
#15 0x00007f585c3125f1 in KMMainWidget::itemsFetchDone(KJob*) (this=0x5590e0345690, job=0x5590e14b6940) at ./src/kmmainwidget.cpp:4478
#16 0x00007f585a45966f in QMetaObject::activate(QObject*, int, int, void**) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#17 0x00007f585b8d4fdc in KJob::result(KJob*, KJob::QPrivateSignal) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#18 0x00007f585b8d5b11 in KJob::finishJob(bool) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#19 0x00007f585b8d5b72 in KJob::kill(KJob::KillVerbosity) () at /usr/lib/x86_64-linux-gnu/libKF5CoreAddons.so.5
#20 0x00007f5853b0b021 in Akonadi::Session::clear() () at /usr/lib/x86_64-linux-gnu/libKF5AkonadiCore.so.5abi1
#21 0x00007f5853b0b0d7 in Akonadi::Session::~Session() () at /usr/lib/x86_64-linux-gnu/libKF5AkonadiCore.so.5abi1
#22 0x00007f5853b0b0f9 in Akonadi::Session::~Session() () at /usr/lib/x86_64-linux-gnu/libKF5AkonadiCore.so.5abi1
#23 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#24 0x00007f585a46096b in QObject::~QObject() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#25 0x00007f58568c9019 in  () at /usr/lib/x86_64-linux-gnu/libKF5MessageViewer.so.5abi4
#26 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#27 0x00007f585b1e2d5c in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#28 0x00007f58568ba879 in MessageViewer::Viewer::~Viewer() () at /usr/lib/x86_64-linux-gnu/libKF5MessageViewer.so.5abi4
#29 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#30 0x00007f585b1e2d5c in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#31 0x00007f585c2dfdf9 in KMReaderWin::~KMReaderWin() (this=0x5590e0a30960, __in_chrg=<optimized out>) at ./src/kmreaderwin.cpp:228
#32 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#33 0x00007f585b1e2d5c in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#34 0x00007f585b351679 in QSplitter::~QSplitter() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#35 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#36 0x00007f585b1e2d5c in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#37 0x00007f585b351679 in QSplitter::~QSplitter() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#38 0x00007f585c3111f3 in KMMainWidget::deleteWidgets() (this=this@entry=0x5590e0345690) at ./src/kmmainwidget.cpp:973
#39 0x00007f585c32ad41 in KMMainWidget::destruct() (this=0x5590e0345690) at ./src/kmmainwidget.cpp:378
#40 0x00007f585c32af1f in KMMainWidget::~KMMainWidget() (this=0x5590e0345690, __in_chrg=<optimized out>) at ./src/kmmainwidget.cpp:362
#41 0x00007f585c32b0f9 in KMMainWidget::~KMMainWidget() (this=0x5590e0345690, __in_chrg=<optimized out>) at ./src/kmmainwidget.cpp:363
#42 0x00007f585a45713b in QObjectPrivate::deleteChildren() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#43 0x00007f585b1e2d5c in QWidget::~QWidget() () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#44 0x00007f585953873d in KMainWindow::~KMainWindow() () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#45 0x00007f585c2dcd6a in KMMainWin::~KMMainWin() (this=this@entry=0x5590e08785e0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ./src/kmmainwin.cpp:92
#46 0x00007f585c2dcdd9 in KMMainWin::~KMMainWin() (this=0x5590e08785e0, __in_chrg=<optimized out>, __vtt_parm=<optimized out>) at ./src/kmmainwin.cpp:97
#47 0x00007f585a45a0e0 in QObject::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#48 0x00007f585b1e775b in QWidget::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#49 0x00007f585b2fac6b in QMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#50 0x00007f585953ab87 in KMainWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#51 0x00007f585957f9e5 in KXmlGuiWindow::event(QEvent*) () at /usr/lib/x86_64-linux-gnu/libKF5XmlGui.so.5
#52 0x00007f585b1a883c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#53 0x00007f585b1b0104 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#54 0x00007f585a42a8d8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#55 0x00007f585a42d04d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#56 0x00007f585a484263 in  () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#57 0x00007f584d720417 in g_main_context_dispatch () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#58 0x00007f584d720650 in  () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007f584d7206dc in g_main_context_iteration () at /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007f585a48388f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#61 0x00007f585a42890a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#62 0x00007f585a4319b4 in QCoreApplication::exec() () at /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#63 0x00005590de3387cd in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./src/main.cpp:156

The reporter indicates this bug may be a duplicate of or related to bug 400717.

Possible duplicates by query: bug 400717.

Reported using DrKonqi
Comment 1 Tobias 2020-10-09 19:10:53 UTC
Created attachment 132245 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

- What I was doing when the application crashed:
Clicked on mail in inbox.
Around one to two times a day this leads to a haning kmail. If I close kmail the application crashes. See the attachted stacktrace.
I need to run "akonadictl stop" and then start kmail  again to get access to the mails again. Normally kmail  then works fine  until the next Linux reboot.

The crash can be reproduced sometimes.

-- Backtrace (Reduced):
#6  0x0000000000000080 in  ()
#7  0x00007fa54c4ad8c6 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007fa54c4a9508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007fa54d48b4b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x55d8dc27c300, aText=...) at ./src/kmmainwin.cpp:106
[...]
#11 0x00007fa541ed5f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
Comment 2 Laurent Montel 2020-10-10 06:22:31 UTC
Sorry but kmail 5.7.3 is not maintain.
We released 5.15.2..
Please verify with new version.
Comment 3 Tobias 2020-10-10 09:11:54 UTC
Dear Laurent,

could you please consider reopening the bug?
Kubuntu 18.04.5 LTS only provides KMail 5.7.3 at the moment.
Comment 4 Laurent Montel 2020-10-10 19:41:47 UTC
(In reply to Tobias from comment #3)
> Dear Laurent,
> 
> could you please consider reopening the bug?
> Kubuntu 18.04.5 LTS only provides KMail 5.7.3 at the moment.

If I had time yep :) But I don't have time for maintaining kmail 5.7.3
And nobody will commit in this branch...

Really new version is better.
But I understand that you can't migrate to new version, but I can't maintain kmail/kdepim 5.15 + kmail/kdepim master and old branch...
Comment 5 Tobias 2020-11-22 10:52:57 UTC
Created attachment 133554 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x0000000000000000 in  ()
#7  0x00007f007829c8c6 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007f0078298508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f007927a4b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x55a216191be0, aText=...) at ./src/kmmainwin.cpp:106
[...]
#11 0x00007f006dcc4f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
Comment 6 Tobias 2020-11-29 20:24:58 UTC
Created attachment 133739 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

- What I was doing when the application crashed:
KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x00007f3c60b2203a in QWidgetPrivate::reparentFocusWidgets(QWidget*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007f3c60b28388 in QWidget::setParent(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007f3c60b28b94 in QWidgetPrivate::init(QWidget*, QFlags<Qt::WindowType>) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f3c60c9351b in QStatusBar::QStatusBar(QWidget*) () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#10 0x00007f3c60c39532 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
Comment 7 Tobias 2020-11-29 20:46:09 UTC
Created attachment 133740 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

- What I was doing when the application crashed:
KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x00007fb829e2a8c0 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007fb829e26508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007fb82ae084b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x5555b7b69bb0, aText=...) at ./src/kmmainwin.cpp:106
[...]
#10 0x00007fb81f852f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
#11 0x00007fb82ae3b9d4 in KMMainWidget::showMessageActivities(QString const&) (this=<optimized out>, str=...) at ./src/kmmainwidget.cpp:4697
Comment 8 Tobias 2021-04-17 09:32:43 UTC
Created attachment 137666 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

- What I was doing when the application crashed:
KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x00007f3e5cba98c0 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007f3e5cba5508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007f3e5db874b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x5609ea968390, aText=...) at ./src/kmmainwin.cpp:106
[...]
#10 0x00007f3e525d1f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
#11 0x00007f3e5dbba9d4 in KMMainWidget::showMessageActivities(QString const&) (this=<optimized out>, str=...) at ./src/kmmainwidget.cpp:4697
Comment 9 Tobias 2021-05-10 19:02:32 UTC
Created attachment 138299 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x000055d0afa82d60 in  ()
#7  0x00007f28752868c6 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007f2875282508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#9  0x00007f28762644b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x55d0aad26930, aText=...) at ./src/kmmainwin.cpp:106
[...]
#11 0x00007f286acaef32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
Comment 10 Tobias 2021-05-10 19:06:04 UTC
Created attachment 138300 [details]
New crash information added by DrKonqi

kmail (5.7.3) using Qt 5.9.5

KMail hangs when clicking on mail. Submitting this report just in case someone has the time to fix it.

-- Backtrace (Reduced):
#6  0x00007fd8d63ca8c0 in  () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#7  0x00007fd8d63c6508 in QMainWindow::statusBar() const () at /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#8  0x00007fd8d73a84b9 in KMMainWin::displayStatusMessage(QString const&) (this=0x55a43d365440, aText=...) at ./src/kmmainwin.cpp:106
[...]
#10 0x00007fd8cbdf2f32 in KPIM::BroadcastStatus::statusMsg(QString const&) () at /usr/lib/x86_64-linux-gnu/libKF5Libkdepim.so.5abi2
#11 0x00007fd8d73db9d4 in KMMainWidget::showMessageActivities(QString const&) (this=<optimized out>, str=...) at ./src/kmmainwidget.cpp:4697